Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class JCAStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.JCAStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.JCAStats, Serializable, javax.management.j2ee.statistics.Stats

public final class JCAStatsImpl
extends StatsBase
implements javax.management.j2ee.statistics.JCAStats

The JSR77.6.18 JCAStats implementation

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`JCAStatsImpl(javax.management.j2ee.statistics.JCAConnectionStats[] connectionStats, javax.management.j2ee.statistics.JCAConnectionPoolStats[] poolStats)`

Method Summary
`javax.management.j2ee.statistics.JCAConnectionPoolStats[]` | `getConnectionPools()` Returns an array of JCAConnectionPool Stats that provide statistics about the connection pools associated with the referencing JCA resource statistics
`javax.management.j2ee.statistics.JCAConnectionStats[]` | `getConnections()` Returns an array of JCAConnectionStats that provide statistics about the non-pooled connections associated with the referencing JCA resource statistics
`String` | `toString()`

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JCAStatsImpl

    public JCAStatsImpl(javax.management.j2ee.statistics.JCAConnectionStats[] connectionStats,
                        javax.management.j2ee.statistics.JCAConnectionPoolStats[] poolStats)

Method Detail

### getConnections

    public javax.management.j2ee.statistics.JCAConnectionStats[] getConnections()

  Description copied from interface: `javax.management.j2ee.statistics.JCAStats`
  Returns an array of JCAConnectionStats that provide statistics about the non-pooled connections associated with the referencing JCA resource statistics

  Specified by:
    `getConnections` in interface `javax.management.j2ee.statistics.JCAStats`

### getConnectionPools

    public javax.management.j2ee.statistics.JCAConnectionPoolStats[] getConnectionPools()

  Description copied from interface: `javax.management.j2ee.statistics.JCAStats`
  Returns an array of JCAConnectionPool Stats that provide statistics about the connection pools associated with the referencing JCA resource statistics

  Specified by:
    `getConnectionPools` in interface `javax.management.j2ee.statistics.JCAStats`

### toString

    public String toString()

  Overrides:
    `toString` in class `StatsBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.